<?php

namespace PayKeeper\PayKeeper\Block;

class PaymentAction extends \Magento\Framework\View\Element\Template
{
    protected $paymentFactory;

    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        \PayKeeper\PayKeeper\Model\PaymentFactory $paymentFactory,
        array $data = []
    ){
        parent::__construct($context, $data);
        $this->paymentFactory = $paymentFactory;
    }

    public function paymentFormData()
    {   
        return $this->paymentFactory->create()->getFormFields();
    }   

    public function sendCallback()
    {
        return $this->paymentFactory->create()->getCallback();
        exit;
    }
}
